//| Copyright: (C) 2019-2020 Kevin Larke <contact AT larke DOT org> 
//| License: GNU GPL version 3.0 or above. See the accompanying LICENSE file.
#ifndef gvHashFunc_h
#define gvHashFunc_h

class gvHashFuncArg
{
 public:
  virtual ~gvHashFuncArg(){}
  virtual double sampleRate() const = 0;

};

extern "C" {
void gvRoundHashValueFunc(    void* arg, cmChar_t* label, unsigned labelCharCnt, cmGrV_t value );
void gvMinSecMsHashValueFunc( void* arg, cmChar_t* label, unsigned labelCharCnt, cmGrV_t value );
void gvMidiSciPitchValueFunc( void* arg, cmChar_t* label, unsigned labelCharCnt, cmGrV_t value );
}

#endif
